/**
 *  Copyright (c) 2008-2011 Sonatype, Inc. All rights reserved.
 *
 *  This program is licensed to you under the Apache License Version 2.0,
 *  and you may not use this file except in compliance with the Apache License Version 2.0.
 *  You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the Apache License Version 2.0 is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.codehaus.plexus.swizzle;

import java.util.Collection;

import org.sonatype.sisu.pr.bundle.Bundle;

/**
 * The result of an issue submission. Contains details of the created issue.
 */
public class IssueSubmissionResult
{
    private String issueUrl;

    private String key;

    private Collection<Bundle> bundles;

    public IssueSubmissionResult( final String issueUrl, final String key )
    {
        this( issueUrl, key, null );
    }
    
    public IssueSubmissionResult( final String issueUrl, final String key, final Collection<Bundle> bundles )
    {
        this.issueUrl = issueUrl;
        this.key = key;
        this.bundles = bundles;
    }

    public String getIssueUrl()
    {
        return issueUrl;
    }

    public void setIssueUrl( final String issueUrl )
    {
        this.issueUrl = issueUrl;
    }

    public String getKey()
    {
        return key;
    }

    public void setKey( final String key )
    {
        this.key = key;
    }

    public Collection<Bundle> getBundles()
    {
        return bundles;
    }

    public void setBundles( final Collection<Bundle> bundles )
    {
        this.bundles = bundles;
    }
}
