/**
 *  Copyright (c) 2008-2011 Sonatype, Inc. All rights reserved.
 *
 *  This program is licensed to you under the Apache License Version 2.0,
 *  and you may not use this file except in compliance with the Apache License Version 2.0.
 *  You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the Apache License Version 2.0 is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.codehaus.plexus.swizzle;

import org.codehaus.plexus.swizzle.jira.authentication.AuthenticationSource;
import org.codehaus.swizzle.jira.Issue;
import org.sonatype.sisu.issue.Configurable;

public interface IssueSubmitter
    extends Configurable
{
    /**
     * @deprecated in favor of {@link #submit(IssueSubmissionRequest)}
     */
    @Deprecated
    IssueSubmissionResult submitIssue( IssueSubmissionRequest request )
        throws IssueSubmissionException;

    IssueSubmissionResult submit( IssueSubmissionRequest request )
        throws IssueSubmissionException;

    IssueSubmissionResult submit( IssueSubmissionRequest request, AuthenticationSource credentials )
        throws IssueSubmissionException;

    IssueSubmissionResult update( Issue issue )
        throws IssueSubmissionException;

    IssueSubmissionResult update( Issue issue, AuthenticationSource credentials )
        throws IssueSubmissionException;

}
