/**
 *  Copyright (c) 2008-2011 Sonatype, Inc. All rights reserved.
 *
 *  This program is licensed to you under the Apache License Version 2.0,
 *  and you may not use this file except in compliance with the Apache License Version 2.0.
 *  You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the Apache License Version 2.0 is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.sisu.pr.bundle;

import java.io.IOException;

/**
 * A storage manager hides the temp file 'lifecycle' from a client.
 *
 * @author hanzelm
 */
public interface StorageManager
{

    ManagedBundle createBundle( String name, String contentType )
        throws IOException;

    /**
     * Release all bundle content.
     */
    void release();

    /**
     * Release the bundle content for the given bundle.
     */
    void release( Bundle bundle );
}
