package org.sonatype.sisu.pr.bundle.internal;

import java.io.IOException;
import java.io.InputStream;

import org.sonatype.jira.Attachment;
import org.sonatype.sisu.pr.bundle.Bundle;

public class BundleAttachment
    implements Attachment
{

    private final Bundle bundle;

    public BundleAttachment( final Bundle bundle )
    {
        this.bundle = bundle;
    }

    @Override
    public String getName()
    {
        return bundle.getName();
    }

    @Override
    public String getContentType()
    {
        return bundle.getContentType();
    }

    @Override
    public long getLength()
    {
        return bundle.getContentLength();
    }

    @Override
    public InputStream getInputStream()
        throws IOException
    {
        return bundle.getInputStream();
    }

}
