package org.sonatype.sisu.pr.bundle.internal;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

import org.sonatype.jira.Attachment;

public class FileAttachment
    implements Attachment
{

    private final File file;

    public FileAttachment( final File file )
    {
        this.file = file;
    }

    @Override
    public String getName()
    {
        return file.getName();
    }

    @Override
    public String getContentType()
    {
        return "application/octet-stream";
    }

    @Override
    public long getLength()
    {
        return file.length();
    }

    @Override
    public InputStream getInputStream()
        throws IOException
    {
        return new FileInputStream( file );
    }

}
