/**
 *  Copyright (c) 2008-2011 Sonatype, Inc. All rights reserved.
 *
 *  This program is licensed to you under the Apache License Version 2.0,
 *  and you may not use this file except in compliance with the Apache License Version 2.0.
 *  You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the Apache License Version 2.0 is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.sisu.pr.filler.internal;

import javax.inject.Inject;

import org.codehaus.plexus.swizzle.IssueSubmissionRequest;
import org.codehaus.plexus.swizzle.jira.authentication.AuthenticationSource;
import org.sonatype.inject.Nullable;
import org.sonatype.sisu.pr.Modifier;

//@Named
//@Singleton
public class UserFillin
    implements Modifier
{

    private final AuthenticationSource credentials;

    @Inject
    public UserFillin( final @Nullable AuthenticationSource credentials )
    {
        this.credentials = credentials;
    }

    @Override
    public IssueSubmissionRequest modify( final IssueSubmissionRequest request )
    {
        if ( credentials != null )
        {
            if ( request.getReporter() == null )
            {
                request.setReporter( credentials.getLogin() );
            }
            if ( request.getAssignee() == null )
            {
                request.setAssignee( credentials.getLogin() );
            }
        }
        return request;
    }

    @Override
    public int getPriority()
    {
        return -1;
    }
}
